## manpages-de-0.5.tar.gz

=== Makefile ===
# Do "make install" to copy the pages to their destination.
# Do "make gz" before "make install" if you use compressed source pages.
# Do "make remove" before "make gz" if you may have uncompressed
# source pages around.

prefix=/usr

MANDIR=$(prefix)/share/man/de

example: remove gz install

remove:
	for i in man?; do for j in $$i/*; do rm -f $(MANDIR)/$$j; done; done

gz:
	for i in man?; do gzip $$i/*; done

ungz:
	for i in man?; do gunzip $$i/*.gz; done

install:
	test -d $(MANDIR) || install -d -m 755 $(MANDIR)
	for i in man?; do \
	  test -d $(MANDIR)/$$i || install -d -m 755 $(MANDIR)/$$i; \
	  for m in $$i/*; do \
	    test -f $(MANDIR)/$$m || install -m 644 $$m $(MANDIR)/$$i; \
	  done; \
	done

=== debian/control ===
Source: manpages-de
Section: doc
Priority: optional
Maintainer: Martin Schulze <joey@debian.org>
Standards-Version: 2.3.0.1

Package: manpages-de
Architecture: all
Suggests: man
Description: German manpages
 This package contains the Linux manual pages translated into German.
 Following sections are included:
  * 1 = User programs (e.g. ls, ln)
  * 4 = Devices (e.g. hd, sd).
  * 5 = File formats and protocols, syntaxis of several system
    files (e.g. wtmp, /etc/passwd, nfs).
  * 6 = Games etc.
  * 7 = Conventions and standards, macro packages, etc.
    (e.g. nroff, ascii).

Package: manpages-de-dev
Architecture: all
Suggests: man
Description: German manpages
 This package contains the Linux manual pages translated into German.
 Following sections are provided:
  * 2 = Linux system calls.
  * 3 = Libc calls (note that a more comprehensive source of
    information may be found in the libc6-doc package).
  * 8 = Kernel functions

=== debian/rules ===
#! /usr/bin/make -f

#   Copyright 1994-97   joey@infodrom.north.de (Martin Schulze)
#
#   This program is free software; you can redistribute it and/or modify
#   it under the terms of the GNU General Public License as published by
#   the Free Software Foundation; version 2 dated June, 1991.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#   along with this program;  if not, write to the Free Software
#   Foundation, Inc., 675 Mass Ave., Cambridge, MA 02139, USA.
SHELL=/bin/bash

# The name and version of the source
#
source = $(shell grep "^Source: " debian/control|head -1|sed 's/Source: \(.*\)/\1/g')
package = $(shell grep "^Package: " debian/control|head -1|sed 's/Package: \(.*\)/\1/g')
package2 = $(shell grep "^Package: " debian/control|tail -1|sed 's/Package: \(.*\)/\1/g')
version = $(shell grep "^$(source) " debian/changelog|head -1 |sed 's/.*(\(.*\)\-[^\-]*).*/\1/g')
revision = $(shell grep "^$(source) " debian/changelog|head -1 |sed 's/.*([^\-]*\-\(.*\)).*/\1/g')

installbin = install -g root -o root -m 755
installdoc = install -g root -o root -m 644

build:
	sed -e "s/@date@/`date +%d.%m.%y`/" -e "s/@time@/`date +%H:%M`/" \
	  < README > readme.txt
	touch stamp-build

clean: debclean
	rm -rf stamp-build *~
	rm -f readme.txt

debclean:
# Cleans debian binary directories to allow binary creation
	rm -rf debian/{dev,tmp}
	rm -f debian/{files,substvars}

binary-indep:
# Nothing to be done here

binary-arch: debclean
	test -f stamp-build || $(MAKE) -f debian/rules build
	$(installbin) -d debian/{dev,tmp}/DEBIAN
	chown -R root.root debian/{dev,tmp}
	chmod -R g-ws debian/{dev,tmp}
	#
	$(installbin) -d debian/tmp/usr/doc/$(package)
	$(installdoc) debian/changelog debian/tmp/usr/doc/$(package)/changelog.Debian
	$(installdoc) CHANGES debian/tmp/usr/doc/$(package)/changelog
	$(installdoc) readme.txt debian/tmp/usr/doc/$(package)
	$(installdoc) debian/copyright debian/tmp/usr/doc/$(package)
	cat COPYRIGHT >> debian/tmp/usr/doc/$(package)/copyright
	gzip -9f debian/tmp/usr/doc/$(package)/changelog{,.Debian}
	#
	$(installbin) -d debian/{dev,tmp}/usr/man/de
	for sect in 1 4 5 6 7 8; do \
	  if [ -d man$$sect ]; then \
	    $(installbin) -d debian/tmp/usr/man/de/man$$sect; \
	    for file in `(cd man$$sect && ls *.$$sect*)`; do \
	      $(installdoc) man$$sect/$$file debian/tmp/usr/man/de/man$$sect/$$file; \
	    done; \
	  fi; \
	done
	rm -f debian/tmp/usr/man/de/man/man1/zsoelim.1
	rm -f debian/tmp/usr/man/de/man/man1/manpath.1
	rm -f debian/tmp/usr/man/de/man/man5/manpath.5
	rm -f debian/tmp/usr/man/de/man/man8/mandb.8
	rm -f debian/tmp/usr/man/de/man/man8/catman.8
	rm -f debian/tmp/usr/man/de/man1/{man,apropos,whatis}.1
	gzip -9f debian/tmp/usr/man/de/man?/*
	#
	$(installbin) -d debian/dev/usr/doc/$(package2)
	$(installdoc) debian/changelog debian/dev/usr/doc/$(package2)/changelog.Debian
	$(installdoc) CHANGES debian/dev/usr/doc/$(package2)/changelog
	$(installdoc) readme.txt debian/dev/usr/doc/$(package2)
	$(installdoc) debian/copyright debian/dev/usr/doc/$(package2)
	cat COPYRIGHT >> debian/dev/usr/doc/$(package2)/copyright
	gzip -9f debian/dev/usr/doc/$(package2)/changelog
	#
	for sect in 2 3; do \
	  if [ -d man$$sect ]; then \
	    $(installbin) -d debian/dev/usr/man/de/man$$sect; \
	    for file in `(cd man$$sect && ls *.$$sect*)`; do \
	      $(installdoc) man$$sect/$$file debian/dev/usr/man/de/man$$sect/$$file; \
	    done; \
	  fi; \
	done
	gzip -9f debian/dev/usr/man/de/man?/*
	#
	dpkg-gencontrol -pmanpages-de -Pdebian/tmp
	dpkg-gencontrol -pmanpages-de-dev -Pdebian/dev
	dpkg --build debian/tmp ..
	dpkg --build debian/dev ..

binary: binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b' or dsc; false

dsc:
	-test -d debian/tmp && $(MAKE) -f debian/rules clean
	if [ ! -f ../$(source)_$(version).orig.tar.gz -a -f ../orig/$(source)_$(version).orig.tar.gz ]; \
	then \
	  ln -s orig/$(source)_$(version).orig.tar.gz ../$(source)_$(version).orig.tar.gz; \
	  touch /tmp/stamp-$(source)-link; \
	fi; \
	cd .. && dpkg-source -b $(source)-$(version)
	if [ -f /tmp/stamp-$(source)-link ]; then \
	  rm ../$(source)_$(version).orig.tar.gz /tmp/stamp-$(source)-link; \
	fi

checkroot:
	$(checkdir)
	test root = "`whoami`"

dist: binary dsc

.PHONY: binary binary-arch binary-indep clean checkroot
